package com.ruoyi.mxjb.service;

import java.util.List;
import com.ruoyi.mxjb.domain.MxjbSelectedGroup;

/**
 * 科目组合Service接口
 * 
 * @author mingxue
 * @date 2022-11-25
 */
public interface IMxjbSelectedGroupService 
{
    /**
     * 查询科目组合
     * 
     * @param groupId 科目组合ID
     * @return 科目组合
     */
    public MxjbSelectedGroup selectMxjbSelectedGroupById(Integer groupId);

    /**
     * 查询科目组合列表
     * 
     * @param mxjbSelectedGroup 科目组合
     * @return 科目组合集合
     */
    public List<MxjbSelectedGroup> selectMxjbSelectedGroupList(MxjbSelectedGroup mxjbSelectedGroup);

    /**
     * 新增科目组合
     * 
     * @param mxjbSelectedGroup 科目组合
     * @return 结果
     */
    public int insertMxjbSelectedGroup(MxjbSelectedGroup mxjbSelectedGroup);

    /**
     * 修改科目组合
     * 
     * @param mxjbSelectedGroup 科目组合
     * @return 结果
     */
    public int updateMxjbSelectedGroup(MxjbSelectedGroup mxjbSelectedGroup);

    /**
     * 批量删除科目组合
     * 
     * @param groupIds 需要删除的科目组合ID
     * @return 结果
     */
    public int deleteMxjbSelectedGroupByIds(Integer[] groupIds);

    /**
     * 删除科目组合信息
     * 
     * @param groupId 科目组合ID
     * @return 结果
     */
    public int deleteMxjbSelectedGroupById(Integer groupId);

    /**
     * 根据名称获取组合ID
     * @param mode
     * @return
     */
    public Integer selectGroupIdByMode(String mode);
}
